Apps
Endpoints for listing and retrieving app information.
Returns all the apps.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Apps found
application/json
idintegerOptionalExample:
297namestringOptionalExample:
my draftdescriptionstringOptionalExample:
draftbackground_colorstringOptionalExample:
#feacreated_atstring · date-timeOptionalExample:
2023-06-20 00:49:56.696000000 Zupdated_atstring · date-timeOptionalExample:
2023-10-24 11:26:21.820000000 Zactive_version_idintegerOptionalExample:
44emojistringOptional
publicbooleanOptionalExample:
falseuuidstring · min: 36 · max: 36OptionalExample:
6d2f4e0b-1a1d-49ae-8034-ba56f932119ereadmestringOptional
401
Authentication error
get/public_api/airops_apps
GET /public_api/airops_apps HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": 297,
"name": "my draft",
"description": "draft",
"background_color": "#fea",
"created_at": "2023-06-20 00:49:56.696000000 Z",
"updated_at": "2023-10-24 11:26:21.820000000 Z",
"active_version_id": 44,
"emoji": "",
"public": false,
"uuid": "6d2f4e0b-1a1d-49ae-8034-ba56f932119e",
"readme": ""
}
]Returns the app with the given uuid.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
app_uuidstringRequired
The app uuid, you can find the app uuid by going to the App => Integrate
Responses
200
App found
application/json
idintegerOptionalExample:
297namestringOptionalExample:
my draftdescriptionstringOptionalExample:
draftbackground_colorstringOptionalExample:
#feacreated_atstring · date-timeOptionalExample:
2023-06-20 00:49:56.696000000 Zupdated_atstring · date-timeOptionalExample:
2023-10-24 11:26:21.820000000 Zactive_version_idintegerOptionalExample:
44emojistringOptional
publicbooleanOptionalExample:
falseuuidstring · min: 36 · max: 36OptionalExample:
6d2f4e0b-1a1d-49ae-8034-ba56f932119ereadmestringOptional
401
Authentication error
get/public_api/airops_apps/{app_uuid}
GET /public_api/airops_apps/{app_uuid} HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": 297,
"name": "my draft",
"description": "draft",
"background_color": "#fea",
"created_at": "2023-06-20 00:49:56.696000000 Z",
"updated_at": "2023-10-24 11:26:21.820000000 Z",
"active_version_id": 44,
"emoji": "",
"public": false,
"uuid": "6d2f4e0b-1a1d-49ae-8034-ba56f932119e",
"readme": ""
}Last updated
Was this helpful?